Subject: Re: Allocating uncached memory in 2.6.25(powerpc/440)

From: Roland Dreier <[email-masked]>
Date: Fri, 19 Sep 2008 15:09:35 -0700

> basically, a block of contiguous memory is allocated. This block is
 > needed to set up some DMA descriptors, so it needs to be uncached, and
 > I thought this is what GFP_DMA flag is for.

No, GFP_DMA doesn't have that meaning.  To allocate uncached memory, use
dma_alloc_coherent().

 - R.